<?php

$TOKEN = "YOUR_BOT_TOKEN"; // توکن ربات تلگرام
$API_URL = "https://api.telegram.org/bot$TOKEN/";
$UPDATE = file_get_contents("php://input");
$UPDATE = json_decode($UPDATE, true);

if (isset($UPDATE["message"])) {
    $chat_id = $UPDATE["message"]["chat"]["id"];
    $text = $UPDATE["message"]["text"];

    if ($text == "/start") {
        sendMessage($chat_id, "👋 خوش آمدید! برای دریافت نرخ ارز از دستور /dollar استفاده کنید.");
    } elseif ($text == "/dollar") {
        sendMessage($chat_id, "🔄 در حال دریافت نرخ ارز...");
        $rates = getCurrencyRates();
        sendMessage($chat_id, $rates);
        
        sleep(3); // مکث کوتاه
        $crypto_rates = getCryptoRates();
        sendMessage($chat_id, $crypto_rates);
    }
}

/**
 * تابع ارسال پیام به کاربر
 */
function sendMessage($chat_id, $message) {
    global $API_URL;
    $url = $API_URL . "sendMessage?chat_id=" . $chat_id . "&text=" . urlencode($message);
    file_get_contents($url);
}

/**
 * دریافت نرخ ارز (دلار، یورو، پوند)
 */
function getCurrencyRates() {
    $api_url = "https://api.exchangerate-api.com/v4/latest/USD"; // جایگزین با API معتبر
    $data = json_decode(file_get_contents($api_url), true);

    if (!$data) return "❌ خطا در دریافت نرخ ارز!";

    $usd_to_irr = $data["rates"]["IRR"] ?? 0;
    $eur_to_usd = $data["rates"]["EUR"] ?? 0;
    $gbp_to_usd = $data["rates"]["GBP"] ?? 0;

    $eur_to_irr = round($usd_to_irr * $eur_to_usd);
    $gbp_to_irr = round($usd_to_irr * $gbp_to_usd);

    return "💰 نرخ لحظه‌ای ارز:\n\n".
           "🇺🇸 دلار: " . number_format($usd_to_irr) . " تومان\n".
           "🇪🇺 یورو: " . number_format($eur_to_irr) . " تومان\n".
           "🇬🇧 پوند: " . number_format($gbp_to_irr) . " تومان";
}

/**
 * دریافت قیمت بیت کوین و ۱۰ ارز دیجیتال برتر
 */
function getCryptoRates() {
    $api_url = "https://api.coingecko.com/api/v3/simple/price?ids=bitcoin,ethereum,binancecoin,ripple,cardano,solana,polkadot,dogecoin,shiba-inu,litecoin&vs_currencies=usd";
    $data = json_decode(file_get_contents($api_url), true);

    if (!$data) return "❌ خطا در دریافت قیمت ارزهای دیجیتال!";

    $message = "🔗 قیمت لحظه‌ای ارزهای دیجیتال:\n\n";
    foreach ($data as $coin => $prices) {
        $message .= "🔹 " . ucfirst($coin) . ": " . number_format($prices["usd"], 2) . " دلار\n";
    }

    return $message;
}

?>